# Interface UnitTestManager

All Known Implementing Classes:
  `JMeterUtils`

public interface UnitTestManager
Implement this interface to work with the AllTests class. This interface allows AllTests to pass a configuration file to your application before running the junit unit tests.

N.B. This interface must be in the main src/ tree (not test/) because it is implemented by JMeterUtils

see JUnit class: org.apache.jorphan.test.AllTests

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeProperties(String filename)`
Your implementation will be handed the filename that was provided to AllTests as a configuration file.

## Method Details

### initializeProperties

void initializeProperties(String filename)
Your implementation will be handed the filename that was provided to AllTests as a configuration file. It can hold whatever properties you need to configure your system prior to the unit tests running.

Parameters:
  `filename` - path to the configuration file